Bug 130980 - smbmount does not convert from default DOS character set
smbmount does not convert from default DOS character set
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2004-08-26 09:55 EDT by Patrick Monnerat
Modified: 2014-08-31 19:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-30 09:19:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch to fix bug #130980 (2.60 KB, patch)
2004-08-31 17:59 EDT, Patrick Monnerat
no flags Details | Diff

  None (edit)
Description Patrick Monnerat 2004-08-26 09:55:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET 
CLR 1.0.3705)

Description of problem:
On a LAN using CP850 for smb (dos charset in /etc/samba/smb.conf) and 
FC2 computers configured in UTF-8 (unix charset = UTF-8), smbmount 
ignores these default configuration parameters and performs no 
To make smbmount work, you have to specified -o codepage=cp850

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Configure machine1 as samba server with "dos charset = CP850" 
and "unix charset = UTF-8". Create a share. In this share, create a 
file with accentuated characters in its name 
(i.e.: "sträñgêfìlename").
2. Configure machine2 as samba client with "dos charset = CP850" 
and "unix charset = UTF-8".
3. On machine2, "smbmount //machine1/share /mntdir"
4. On machine2, "ls /mntdir"

Actual Results:  list file as "str??g?f?lename".

Expected Results:  list file as "sträñgêfìlename". (Show accentuated 

Additional info:

As smbclient forks fine this way, smbmount should use the 
configuration character set conversion by default rather than 
performing no conversion at all.

I cannot configure "dos charset = UTF-8" on this LAN because some 
other (old) machines do not support it...
Comment 1 Robert Scheck 2004-08-28 09:33:42 EDT
I think this bug is in current development, too.

Maybe this bug should be marked as FC2/3 target tracker.
Comment 2 Patrick Monnerat 2004-08-31 17:59:12 EDT
Created attachment 103319 [details]
Patch to fix bug #130980

Here is my proposed patch.
It supports upper/lowercase charset names recognized by the Linux kernel, plus
upper/lower "UTF-8".
Since charset names are interpreted in the kernel, no iconv alias names may be
Comment 3 Matthew Miller 2005-04-26 12:19:57 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 4 Patrick Monnerat 2005-04-26 13:20:05 EDT
FC2 was still hot at the time the bug has been submit...
Anyway, reporting this bug (and its solution) to samba people did not make them 
happy. (See https://bugzilla.samba.org/show_bug.cgi?id=1846). They decided not 
to fix it, since it is possible to specify "codepage=..." in the smbmount 
command line options.
They claim it is an smbfs problem (they are wrong!) and the kernel default is a 
sufficient default, although needing kernel recompilation to change 
it. /etc/samba/smb.conf seems to me more easily configurable...
Therefore the bug is still present in FC3.
Each mounting utility must then be able to manage "codepage=..." by itself! 
What a pity :-(
If no fix is applied to the smbmount code, it may be appropriate to set cp850 
as the default in stock kernels...
Please apply the follow-up to this bug report according to your policy 
(CLOSE/WONTFIX, kernel config, or whatever seems appropriate to you). Thanks.
Comment 5 John Thacker 2006-10-30 09:19:02 EST
Closing as WONTFIX based on the previous comment.  Sorry that upstream prefers
to keep the behavior this way.

Note You need to log in before you can comment on or make changes to this bug.